using System;
using System.Collections.Generic;
using System.IO;


/**
 * Class for portable Items in Zuul.
 * 
 */
public class Item
{
	// description should have no spaces
	private string description;
	private int    weight;

	/**
	 * Constructor for objects of class Item
	 */
	public Item(string d)
	{
		description = d;
		weight = 0;
	}

	public Item(string d, int w) {
	    description = d;
	    weight = w;
	}
	/**
	 * getDesc: accessor for description
	 * 
	 */
	public string getDesc()
	{
		return description;
	}
	
	/**
	 * getWeight: accessor for weight
	 * 
	 */
	public int getWeight()
	{
		return weight;
	}

    /**
     * findByName: given a string and an ArrayList of Items, 
     * find the Item with the matching name, or else return null
     */
    static public Item findByName(string s, List<Item> L) {
        int n=0;
        while (n < L.Count) {
            Item i = L[n];
            if (s.Equals(i.getDesc())) 
                return i;
            n++;
        }
        return null;    // not found above
    }
   
   /**
     * totalWeight: given an ArrayList of Items, returns total of weights
     */
    public static int totalWeight(List<Item> L) {
        int n=0;
        int sum = 0;
        while (n < L.Count) {
            Item i =  L[n];
            sum += i.getWeight();
            n++;
        }
        return sum;    // not found above
    }
    
	
}


