using System;
using System.Collections.Generic;
using System.IO;

/**
 * The name is something of a misnomer.
 * Only one room, of a set, has an actual valve.
 * The others allow the direction "wetdirection" only if the valve is open.
 * "wetproblem" is a description of the wetness
 * 
 * Note that valve_open MUST BE STATIC!!!
 * 
 * @author Peter Dordal 
 * @version April 1
 */
public class ValveRoom : Room
{
    // instance variables - replace the example below with your own
    private static bool valve_open = false;
    private bool hasvalve;
    private string wetdirection, wetproblem;

    /**
     * Constructor for objects of class DragonRoom
     */
    public ValveRoom(bool valve, string wetdir, 
                    string description, string wetprob) : base(description) {
        hasvalve = valve;
        wetdirection = wetdir;
        wetproblem = wetprob;
        valve_open = false;
    }

    /**
     * ValveRoom.respond: special commands are GO wetdirection, TURN VALVE
     */
    public override Room respond(Command c, List<Item> inv) {
        string commandWord = c.getCommandWord();
        string dobject = c.getSecondWord();
        if (commandWord == "go" 
            && dobject == wetdirection
            && !valve_open) 
        {
             Console.WriteLine(wetproblem);
             return null;
        }
        if (hasvalve && commandWord == "turn") {
            if (dobject == "valve") {      
                valve_open = true;
                Console.WriteLine("There is an enormous sound of water in the pipes below");
                return null;
            }else {
                Console.WriteLine("You can't turn that!");
                return null;
            }
        }
        return base.respond(c, inv);
    }
    
    private bool valveopen() {
        return valve_open;
    }

}
